# Pinpoint Carousel Manager

This module adds nice admin interface for managing custom carousels and slides.

Administration: 
Navigate to Content > Elements > Carousel Manager

Features: 
- List of all defined Carouels
- Add new Carousel
- Unlimited number of slides per carousel
- Duplicate Carousel functionality from edit screen


There are 2 basic ways to define a new Carousel instance in the frontend: 
- Using Pinpoint Carousel Widget
- Using Layout.xml

Widget sample:

{{widget type="\Pinpoint\CarouselManager\Block\Carousel" carousel_id="1" template="PinpointCarousel::sampletemplate"}}

OR

{widget type="\Pinpoint\CarouselManager\Block\Carousel" carousel_slug="test" template="PinpointCarousel::sampletemplate"}}

(template is optional paramater. If not provided, the default template from the module will be used)

Samples for layout.xml usage can be found inside the module's folder

TODO: Complete HTML markup

TODO: We need to include dependency of pinpoint Slick slider module instead of loading own Slick slider
